Main Page Class Hierarchy Compound List File List Compound Members

# Gdsio Class Reference

`#include <gdsio.h>`

List of all members.

## Public Methods
void | gds2double (unsigned char *)
| convert a gdsii real to a machine real
void | double2gds (unsigned char *)
| convert a machine real to a gdsii real
Gdsio & | operator>> (G_BYTE *)
| input overloading
Gdsio & | operator>> (TWO_G_BYTE_UNSIGNED_INTEGER *my_integer)
| input overloading
Gdsio & | operator>> (TWO_G_BYTE_SIGNED_INTEGER *)
| input overloading
Gdsio & | operator>> (FOUR_G_BYTE_SIGNED_INTEGER *)
| input overloading
Gdsio & | operator>> (FOUR_G_BYTE_REAL *)
| input overloading
Gdsio & | operator>> (EIGHT_G_BYTE_REAL *)
| input overloading
Gdsio & | operator<< (G_BYTE)
| output overloading
Gdsio & | operator<< (TWO_G_BYTE_UNSIGNED_INTEGER my_integer)
| output overloading
Gdsio & | operator<< (TWO_G_BYTE_SIGNED_INTEGER)
| output overloading
Gdsio & | operator<< (FOUR_G_BYTE_SIGNED_INTEGER)
| output overloading
Gdsio & | operator<< (FOUR_G_BYTE_REAL)
| output overloading
Gdsio & | operator<< (EIGHT_G_BYTE_REAL)
| output overloading

## Detailed Description

reading basic GDSII format datatypes

See also:
  GDS_driver_in , GDS_driver_out

The documentation for this class was generated from the following file:

- gdsio.h

Gdsio class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page